# StaticLibraryBinary

@Incubating
interface StaticLibraryBinary : NativeLibraryBinary

A NativeLibrary that has been compiled and archived into a static library.

#### Inheritors

PrebuiltStaticLibraryBinary

## Functions

getBuildType
Link copied to clipboard
abstract fun getBuildType(): BuildType
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getFlavor
Link copied to clipboard
abstract fun getFlavor(): Flavor
getHeaderDirs
Link copied to clipboard
abstract fun getHeaderDirs(): FileCollection
getLinkFiles
Link copied to clipboard
abstract fun getLinkFiles(): FileCollection
getRuntimeFiles
Link copied to clipboard
abstract fun getRuntimeFiles(): FileCollection
getStaticLibraryFile
Link copied to clipboard
abstract fun getStaticLibraryFile(): File
The static library file.
getTargetPlatform
Link copied to clipboard
abstract fun getTargetPlatform(): NativePlatform